
@import url('https://fonts.googleapis.com/css2?family=Aboreto&family=Figtree:ital,wght@0,300..900;1,300..900&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    
}
.smooth-content {
  will-change: transform;
}
  #preloader {
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background-color: #553A30; /* Or your desired background color */
        z-index: 9999; /* Ensure it's on top */
        display: flex;
        justify-content: center;
        align-items: center;
    }
/* Optional: scale the Lottie animation */
  #preloader-lottie {
      width: 100vw;
      height: 100vh;
  }
  #preloader-lottie svg {
    width: 100%;
    height: 100%;
    object-fit: cover; /* fill the container */
}

    #logo-pre{
        display:none;
    }
    #door-anim{
        display:none;
    }
    #main{
        padding-top:140px;
        background-color: #F8E3D2;
    }
.container{
    width: 90vw;
    margin: auto;
    max-width: 1400px;
}

.btn1{
    padding: 10px 40px;
    border: 1px solid #785A4D;
    border-radius: 50px;
    color: #785A4D;
    font-size: 18px;
    text-decoration: none;
    font-family: "Figtree", sans-serif;
    transition: all 0.5s ease;
    display: block;
    width: fit-content;
}

.header-btns .btn1{
    padding: 0 50px;
    height: 40px;
    display: grid;
    place-items: center;
}

.btn1.large{
    padding: 18px 80px;
}

.btn1:hover{
    color : #F8E3D1;
    background-color: #785A4D;

}

header{
    position: fixed;
    top: 0px;
    left: 0;
    width: 100%;
    height: 80px;
    display: flex;
    transition: all 0.5s ease;
    z-index: 999;
    height: 90px;
    opacity: 0;
}

header.animate{
    animation: fadeIn 1.5s ease forwards;
}

header .container{
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    z-index: 1000;
}

.header-btns{
    display: flex;
    gap: 25px;
    align-items: center;
}

.header-whatsapp{
    
    background-color: #465C2E;
    border-radius: 50px;
    width: 70px;
    height: 40px;
    display: grid;
    place-items: center;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.header-whatsapp svg path{
    transition: all 0.2s ease-in-out;
}
.header-whatsapp:hover svg path{
    fill: #553A30;
}

.header-whatsapp:hover{
    background-color: #C3CEB5;
}

.header-logo{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    cursor: pointer;
}

.header-logo svg{
    width: 90px;
}

.header-burger{
    cursor: pointer;
}

.header-burger {
    position: relative;

    display: block;
    width: 45px;
    height: 40px;
    padding: 0;

    background-color: transparent;
    outline: none;
    border: none;

    cursor: pointer;
}

.button__bars,
.button__bars::before,
.button__bars::after {
    transform: translateZ(0); /* force GPU render */
    -webkit-font-smoothing: antialiased;
    shape-rendering: crispEdges;
}

.button__bars {
    position: absolute;
    top: 50%;
    left: 50%;

    display: block;
    width: 30px;
    height: 1.5px;

    background-color: #553A30;

    transform: translate(-50%, -50%);
    /* transition: background 0s 0.3s; */
}

.button__bars::before,
.button__bars::after {
    position: absolute;
    left: 0;

    display: block;
    width: 100%;
    height: 1.5px;

    background-color: #553A30;
    content: "";

    transition-delay: 0.3s, 0s;
    transition-duration: 0.3s,
    0.3s;
}

.button__bars::before {
    top: calc(-1 * (5px + 5px));

    transition-property: top, transform, width;
    width: 40px;
}

.button__bars::after {
    bottom: calc(-1 * (5px + 5px));

    transition-property: bottom, transform, width;
    width: 20px;
}
      

.button--open {}
.button--open  .button__bars {
    background: none;
}

    .button--open .button__bars::before,
    .button--open .button__bars::after {
    transition-delay: 0s, 0.3s;
    width: 40px;
    }

    .button--open .button__bars::before {
    top: 0;

    transform: rotate(45deg);
    }

    .button--open .button__bars::after {
    bottom: 0;

    transform: rotate(-45deg);
    }


/* When scrolled */
header.scrolled {
  background: #785A4D;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
}

.header-burger svg path, .header-logo svg path, .header-whatsapp svg path{
    transition: all 0.5s ease;
}

header.scrolled .header-burger svg path{
    stroke : #D1A68F;
}
header.scrolled .header-logo svg path{
    fill : #D1A68F;
}
header.scrolled .header-whatsapp svg path{
    fill : #553A30;
}

header.scrolled .button__bars::before, header.scrolled .button__bars::after, header.scrolled .button__bars{
    background-color: #D1A68F;
}

header.scrolled .button--open  .button__bars{
    background: none;
}

header.scrolled .btn1{
    border: 1px solid #D1A68F;
    color: #D1A68F;
}

header.scrolled .btn1:hover{
    background-color: #D1A68F;
    color: #785A4D;
}
header.scrolled .header-whatsapp{
    background-color: #C3CEB5;

}

header.scrolled .header-whatsapp:hover{
    background-color: #465C2E;

}

header.scrolled .header-whatsapp:hover svg path{
    fill : #F8E3D1;
}

.header-menu-container{
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    max-height: 0;
    background-color: #785A4D;
    z-index: 999;
    transition: all 0.5s ease-in-out;
    overflow: hidden;
}


.header-menu-container.open{
    max-height: 110vh;
}

.header-menu-links-container{
    display: grid;
    place-items: center;
    margin-top: 150px;
}

.header-menu-images{
    position: relative;
    /* width: 130px;
    height: 200px; */
}

.header-item{
    transition: all 0.5s ease-in-out;
    width: 130px;
}

.header-item img{
    width: 100%;
}

.header-item:not(#header-image-1){
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}

.header-menu-links{
    margin-top: 25px;
    display: flex;
    align-items: center;
}

.header-menu-rest{
    margin-top: 15px;
}

.header-menu-links a{
    font-size: 25px;
    color: #D1A68F;
    padding: 0 26px;
    text-decoration: none;
    font-family: "Aboreto", system-ui;
    font-weight: 400;
    transition: all 0.3s ease-in-out;
}

.header-menu-links a:hover{
    color: #FEE8DC;
}

.header-divider{
    height: 100%;
    color: #D1A68F;
    padding-bottom: 5px;
}

.header-social-icons{
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 50px;
}

.header-social-link img, .header-social-link svg{
    height: 16px;
    width: auto;
    transition: all 0.2s ease-in-out;
}

.header-social-link svg path{
    transition: all 0.2s ease-in-out;
}

.header-social-icons a{
    display: block;
    width: 30px;
    height: 30px;
    background-color: transparent;
    display: grid;
    place-items: center;
    border-radius: 50%;
    border: 1px solid #D1A68F;
    transition: all 0.2s ease-in-out;
}

.header-social-link:hover{
    background-color: #D1A68F;
}

.header-social-link:hover svg path{
    fill : #785A4D;
}

.header-menu-footer{
   margin-top: 58px;
}

.header-menu-logo{
    display: block;
    width: fit-content;
    margin: auto;
}

.header-menu-logo img{
    width: 200px;
    height: auto;
}

.header-footer-text{
    font-family: "Aboreto", system-ui;
    font-weight: 400;
    font-size: 13px;
    color: #D1A68F;
    padding: 58px 20px;
    width: 100%;
    text-align: center;
}

.site-footer{
    background-image: url("../imgs/footer-bg-desktop.png");
    width: 100%;
    overflow: hidden;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top left;
    background-color: #F8E3D2;
}

.footer-container{
    padding: 110px 0 60px 0;
}

.footer-links-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 70px;
    position: relative;
    z-index: 2;
}

.footer-text p{
    font-size: 20px;
    font-family: "Aboreto", system-ui;
    font-weight: 400;
    color: #D1A68F;
    max-width: 500px;
    margin: auto;
    text-align: center;
    line-height: 36px;
}

.footer-menu-links{
    display: flex;
    align-items: center;
    gap: 38px;
    justify-content: center;
    margin-top: 10px;
    
}

.footer-menu-links a{
    color: #fff;
    text-transform: uppercase;
    font-size: 16px;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
    font-family: "Aboreto", system-ui;
}

.footer-menu-links a:hover{
    color: #D1A68F;
}

.footer-footer-container{
    margin-top: 126px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    z-index: 2;
}
.footer-address{
    margin-bottom:10px;
}
/* .footer-logo{
    width: 220px;
} */

.footer-logo img{
 width: 220px;
 height: auto;
}

.footer-footer-logo{
    width: 150px;
    text-decoration: none;
}

.footer-footer-logo img{
    width: 100%;
    height: auto;
    display: block;
    flex-shrink: 0;
}

.footer-copy{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: #fff;
    text-transform: uppercase;
    font-size: 13px;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
    font-family: "Aboreto", system-ui;
    text-align: center;
}

.terms-conditions-link{
    color: #fff;
    text-transform: uppercase;
    font-size: 13px;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
    font-family: "Aboreto", system-ui;

}

.terms-conditions-link:hover{
    color: #D1A68F;
}

footer{
    position: relative;
}

.footer-img{
    position: absolute;
    bottom: 0;
    right: 0;
    width: 400px;
    z-index: 1;
}
h1,h2,h3,h4,h5,h6{
    font-family: "Aboreto", "Figtree", "Verdana";
    color:#785A4D;
    font-weight: 400;
}
h1{
    font-size:110px;
    line-height:124%;
    font-weight:400;
    text-transform:uppercase;
}
h2{
    font-weight: 400;
    font-size: 70px;
    line-height: 124%;
    letter-spacing: -4px;

}
p{
    font-size:18px;
    line-height:150%;
    font-family: "Figtree", "Verdana";
    color: #785A4D;
}

p.psmall{
    font-size:16px;
    font-family: "Figtree", "Verdana";
    color: #785A4D;
}

p.section-subtitle{
    letter-spacing: 4px;
}

.enquire-section .section-subtitle{
    letter-spacing: 8px;
}
.pcenter{
    max-width:435px;
    margin:0 auto;
}
h4{
    font-size:20px;
    text-transform:uppercase;
    line-height: 150%;
}

.header-title-desktop h1, .header-title-mobile h1  {
  opacity: 0;
}

.header-title-desktop.animate h1, .header-title-mobile.animate h1 {
  animation: fadeInLeftRight 1s ease forwards;
}

.header-title-desktop.animate h1:nth-child(odd), .header-title-mobile.animate h1:nth-child(odd) {
  animation-name: fadeInLeft;
}

.header-title-desktop.animate h1:nth-child(even), .header-title-mobile.animate h1:nth-child(even) {
  animation-name: fadeInRight;
}

.header-title-desktop.animate h1:nth-child(1), .header-title-mobile.animate h1:nth-child(1) { animation-delay: 0s; }
.header-title-desktop.animate h1:nth-child(2), .header-title-mobile.animate h1:nth-child(2) { animation-delay: 0.3s; }
.header-title-desktop.animate h1:nth-child(3), .header-title-mobile.animate h1:nth-child(3) { animation-delay: 0.6s; }
.header-title-desktop.animate h1:nth-child(4), .header-title-mobile.animate h1:nth-child(4) { animation-delay: 0.9s; }
.header-title-desktop.animate h1:nth-child(4), .header-title-mobile.animate h1:nth-child(5) { animation-delay: 1.2s; }

@keyframes fadeInLeft {
  from { opacity: 0; transform: translateX(-50px); }
  to { opacity: 1; transform: translateX(0); }
}
@keyframes fadeInRight {
  from { opacity: 0; transform: translateX(50px); }
  to { opacity: 1; transform: translateX(0); }
}

@keyframes fadeIn {
  from { opacity: 0;  }
  to { opacity: 1;  }
}

.mobile-header-menu-container{
    display: none;
}

.footer-menu-links.mobile{
    display: none;
}

.footer-img.mobile{
    display: none;
}

.header-title-mobile{
        display: none;
    }
@media screen and (max-width : 1023px){
    header .header-btns .btn1{
        display: none;
    }

    

    .header-title-desktop{
        display: none;
    }

    .header-title-mobile{
        display: block;
    }
}


@media screen and (max-width : 767px){
    .header-logo svg{
        width: 80px;
    }

    .enquire-section .pcenter{
        padding: 0 10px;
    }

    h1{
        font-size: 50px;
    }

    h2{
        font-size: 40px;
    }

    p{
        font-size: 17px;
    }

    .button__bars::before {
    top: calc(-1 * (5px + 3px));}

    .button__bars::after {
    bottom: calc(-1 * (5px + 3px));}

    .mobile-header-menu-container{
        display: block;
    }

    .header-menu-links{
        display: none;
    }

    .header-menu-links-container{
        /* margin-top: 140px; */
        text-align: center;
    }

    .header-item{
        width: 100px;
    }

    .header-footer-text{
        font-size: 12px;
        padding: 10px 0px 20px 0;
    }

    .header-menu-logo img{
        width: 100px;
    }

    .mobile-menu-list{
        list-style: none;
        text-align: center;
        padding: 0;
    }

    .mobile-menu-item a{
        text-decoration: none;
        color: #D1A68F;
        font-size: 20px;
        font-family: "Aboreto", "Figtree", "Verdana";
    }

    .mobile-header-menu-container{
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        /* margin-top: 50px; */
    }

    .mobile-header-menu-container .divider{
        min-height: 1.2px;
        width: 18px;
        background-color: #D1A68F;
        flex: 1 0 auto;
    }

    #main{
        padding-top: 80px;
    }

    header{
        height: 80px;
    }

    .btn1{
        font-size: 17px;
    }

    .site-footer{
        background-image: url("../imgs/footer-bg-mobile.png");
    }

    .footer-container{
        padding: 50px 0 26px 0;
    }

    .footer-logo img{
        width: 70px;
    }

    .footer-links-container{
        gap: 30px;
    }

    .footer-text{
        max-width: 290px;
    }

    .footer-menu-links.desktop{
        display: none;
    }

    .footer-menu-links.mobile{
        display: flex;
        flex-direction: column;
        margin-top: 0;
        padding-top: 40px;
        position: relative;
        gap: 20px;
    }

    .footer-menu-links.mobile::before{
        position: absolute;
        content: "";
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 50px;
        height: 1px;
        background-color: #B76F3D;
    }

    .footer-menu-links.mobile a{
        font-size: 17px;
    }

    .footer-img.mobile{
        display: block;
        width: 150px;
    }
    .footer-img.desktop{
        display: none;
    }
    .terms-conditions-link.desktop{
        display: none;
    }
    .footer-footer-container{
        flex-direction: column;
        gap: 26px;
    }

    .footer-copy{
        position: relative;
        transform: translate(0,0);
        top: unset;
        left: unset;
        font-size: 12px;
        text-align: center;
    }

    .footer-footer-logo{
        width: 100px;
        height: auto;
    }

    .footer-footer-logo img{
        width: 100%;
        
    }
}

@media screen and (max-height : 720px) and (max-width : 767px){
.mobile-header-menu-container{
    gap: 8px;
}

.header-social-icons{
    margin-top: 20px !important;
}

.header-menu-footer{
    margin-top: 20px !important;
}
}

@media screen and (max-height : 800px) and (max-width : 767px){
    .header-menu-links-container{
        margin-top: 100px !important;
    }

    .header-menu-images{
        margin-bottom: 20px;
    }

    .header-social-icons{
        margin-top: 20px;
    }

    .header-menu-footer{
        margin-top: 20px;
    }
}

@media screen and (min-height : 800px){
    .header-menu-links-container{
        /* margin-top: 130px !important; */
    }

    .header-menu-images{
        margin-bottom: 40px;
    }

    .header-social-icons{
        margin-top: 40px;
    }

    .header-menu-footer{
        margin-top: 40px;
    }
}

@media screen and (min-height : 870px){
    .header-menu-links-container{
        margin-top: 150px;
    }

    .header-menu-images{
        margin-bottom: 50px;
    }

    .header-social-icons{
        margin-top: 50px;
    }

    .header-menu-footer{
        margin-top: 58px;
    }
}

@media screen and (min-height : 920px){
    .header-menu-links-container{
        margin-top: 150px;
    }

    .header-menu-images{
        margin-bottom: 60px;
    }

    .header-social-icons{
        margin-top: 60px;
    }

    .header-menu-footer{
        margin-top: 60px;
    }
}